Skip to main content
POST
/
user_grp
/
edit
/
{id}
cURL
curl --request POST \
  --url https://{portalApiUrl}/user_grp/edit/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_grp_group_admin": 1
}
'
{
  "status": true,
  "result": {
    "user_grp_id": 123,
    "user_grp_grp_id": 123,
    "user_grp_user_id": 123,
    "user_grp_group_admin": 123,
    "user_grp_created_date": "2023-11-07T05:31:56Z",
    "user_grp_updated_date": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.illuxi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication token obtained from POST /token

Path Parameters

id
integer
required

ID of user_grp to edit

Body

application/json
user_grp_grp_id
integer

ID of the group

user_grp_user_id
integer

ID of the user

user_grp_group_admin
integer

Whether the user is a group admin (1 = yes, 0 = no)

Response

updated user_grp

status
boolean
result
object